<template>
  <LayoutVue>
    <section class="section section-light blank-section">
      <header class="is-flex is-align-items-center mb-6 card about_us">
        <div class="row">
          <div class="is-flex is-align-items-center is-justify-content-center">
            <figure class="rame-logo">
              <p class="image">
                <img
                  src="../assets/logo/rame_indicateur.png"
                  title="Informations générales"
                  alt=""
                />
              </p>
            </figure>
          </div>
          <div>
            <aside class="column" aria-label="contents_loading">
              <h1 class="column is-12 m-0 is-size-4 py-0">
                Réseau Accès aux Médicaments Essentiels
              </h1>
              <p
                class="column is-12 mt-1 is-size-6 description rm-padding has-text-justified"
              >
                Le RAME est une organisation de la société civile Africaine de
                droit Burkinabé qui regroupe des personnes ressources qui sont
                engagées à mettre leurs compétences dans la promotion de la
                santé, la lutte contre la maladie et le renforcement des
                systèmes de santé et communautaire en Afrique. Le RAME est
                dirigé par un Conseil d’Administration et les activités du
                réseau sont mise en oeuvre par une Direction Exécutive.
              </p>
              <a href="https://www.rame-int.org/" target="blank">
                <h2
                  class="m-0 is-size-6 is-inline-block category py-2 my-2 px-4 pr-5 has-text-weight-bold"
                >
                  En savoir plus >
                </h2>
              </a>
            </aside>
          </div>
        </div>
      </header>
      <div class="columns is-multiline is-hidden-mobile">
        <div class="column is-12 mt-5">
          <iframe
            ref="monitor"
            :src="IndicatorMonitoring"
            width="100%"
            height="800"
            title="Suivi des indicateurs du Burkina"
          ></iframe>
        </div>
      </div>
    </section>
    <section id="section-thematiques" class="section is-hidden-tablet">
      <b-collapse
        :open="false"
        aria-id="contentIdForA11y1"
        class="card"
        animation="slide"
      >
        <template #trigger="props">
          <div
            class="card-header block container contentMarge mb-4 m-0 w-100"
            role="button"
            type="is-primary"
            aria-controls="contentIdForA11y1"
            :aria-expanded="props.open"
          >
            <p class="card-header-title title m-0">Indicateurs</p>
            <a class="card-header-icon">
              <div class="block">
                <img
                  :src="
                    props.open
                      ? require(`@/assets/menu-down.svg`)
                      : require(`@/assets/menu-up.svg`)
                  "
                  style="width: 30px; height: 30px"
                />
              </div>
            </a>
          </div>
        </template>
        <div class="container contentMarge">
          <div class="mb-6">
            <iframe
              :src="IndicatorMonitoring"
              width="100%"
              height="800"
              title="Quelques Indicateurs"
            ></iframe>
          </div>
          <div class="infos">
            <p>Pour plus d'informations, <a href="#stats">cliquez ici</a></p>
          </div>
        </div>
      </b-collapse>
    </section>
  </LayoutVue>
</template>

<script>
export default {
  metaInfo: {
    title: 'Suivi des distributions (Burkina)',
  },
  filters: {
    // Filter definitions
    Upper(value) {
      const leftletter = value.substring(0, 1);
      const rightvalue = value.substring(1);
      return leftletter.toUpperCase() + rightvalue;
    },
  },
  data() {
    return {
      isSubcategorie: false,
      categories: [],
      category: 'comment ça marche ?',
      IndicatorMonitoring: process.env.GRIDSOME_INDICATOR_WATCHER_BURKINA_FASO,
      isLoad: false,
      data: '',
    };
  },
  methods: {},
};
</script>

<style scoped lang="scss">
@import '../variables.scss';
$color_blue: #3948a3;

.w-100 {
  width: 100% !important;
}

.about_us .category {
  color: $color_blue;
  border-radius: 7px;
  cursor: default;

  @media screen and (max-width: 328px) {
    padding-left: 6px !important;
    padding-right: 6px !important;
  }
}

.background-orange {
  background-color: $secondary-color;
}

.imageOcass {
  height: 50%;
  width: 50%;
  margin-top: 25%;
}

.about_us {
  @media screen and (max-width: 492px) {
    padding-bottom: 70px;
  }

  @media screen and (max-width: 334px) {
    padding-bottom: 90px;
  }
}

.about_us aside {
  @media screen and (max-width: 328px) {
    padding-left: 0px !important;
    padding-right: 5px !important;
  }
}

.about_us img {
  height: 100%;

  @media screen and (max-width: 338px) {
    height: 40px;
  }

  @media screen and (max-width: 314px) {
    margin-right: 0px;
  }
}

@media only screen and (min-width: 1024px) {
  .contentMarges {
    padding-left: 0.8em;
    padding-right: 0.8em;
  }
}

@media only screen and (max-width: 415px) {
  .is-category-touch {
    margin-bottom: 2em;
  }

  .is-notif-description {
    margin-top: -4em;
  }

  .card-section-header {
    font-size: 1.7rem;
    line-height: 1.25em;
    font-family: 'Evolventa', 'lato', sans-serif;
    font-weight: bold;
  }
}

.rame-logo {
  width: 250px;
}

</style>
